import { DesktopNotificationEvent } from './notification-event-type';
/**
 * Callback for notification events. The specific type of userInfo can be chosen
 * as long as it's a Record<string, any>.
 */
export declare type NotificationCallback<T extends Record<string, any> = Record<string, any>> = (event: DesktopNotificationEvent, id: string, userInfo: T) => void;
/**
 * This is used internally to handle notification events sent from the native
 * side.
 */
export declare const notificationCallback: NotificationCallback;
/** Sets a handler for notification events. */
export declare const onNotificationEvent: <T extends Record<string, any> = Record<string, any>>(callback: NotificationCallback<T> | null) => void;
