import QuickLRU from 'quick-lru';
export declare const shownNotifications: QuickLRU<string, DesktopNotification>;
export declare class DesktopNotification {
    readonly title: string;
    readonly body: string;
    readonly userInfo?: Record<string, any> | undefined;
    /** Handler of click events. */
    onclick?: () => void;
    private readonly id;
    constructor(title: string, body: string, userInfo?: Record<string, any> | undefined);
    /** Shows the notification. */
    show(): void;
    /** Closes the notification if it was ever shown. */
    close(): void;
}
