"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DesktopNotification = exports.shownNotifications = void 0;
const uuid_1 = require("uuid");
const quick_lru_1 = require("quick-lru");
const native_module_1 = require("./native-module");
exports.shownNotifications = new quick_lru_1.default({
    maxSize: 200,
});
class DesktopNotification {
    constructor(title, body, userInfo) {
        this.title = title;
        this.body = body;
        this.userInfo = userInfo;
        this.id = uuid_1.v4();
    }
    /** Shows the notification. */
    show() {
        exports.shownNotifications.set(this.id, this);
        native_module_1.showNotification(this.id, this.title, this.body, this.userInfo);
    }
    /** Closes the notification if it was ever shown. */
    close() {
        exports.shownNotifications.delete(this.id);
        native_module_1.closeNotification(this.id);
    }
}
exports.DesktopNotification = DesktopNotification;
//# sourceMappingURL=notification.js.map