"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.supportsNotifications = void 0;
const os = require("os");
function supportsNotifications() {
    if (process.platform === 'darwin') {
        return true;
    }
    if (process.platform !== 'win32') {
        return false;
    }
    const versionComponents = os.release().split('.');
    const majorVersion = parseInt(versionComponents[0], 10);
    // Only Windows 10 and newer are supported
    return majorVersion >= 10;
}
exports.supportsNotifications = supportsNotifications;
//# sourceMappingURL=supports-notifications.js.map